Subject: Re: bug#54651: Guix pull failing on ARM 32bit with "Please report the COMPLETE output above by email"

From: Maxime Devos <[email-masked]>
Date: Mon, 23 May 2022 20:27:18 +0200

Denis 'GNUtoo' Carikli schreef op ma 23-05-2022 om 19:30 [+0200]:
> And here I probably lack some knowledge but I was under the
> impression
> that swap was handled transparently by the kernel (through page
> tables,
> virtual memory, and so on), so applications should not notice the
> difference apart from the huge performance drop.
> 
> Though one issue could be that maybe for some reason the process
> wants
> to use more than 3GiB of memory and at least i686 processes are
> limited
> to 4GiB if you use an x86_64 kernel and about 3GiB if you use an i686
> kernel. So maybe it's somehow similar for armv7h?

That's what I was referring to.  Additionally, I've also seen ‘2GiB’
(as in: 2/2 split) mentioned somewhere, though I don't know if it
applies to arm and linux.